Loading...
Searching...
No Matches
freq_xlating_fir_filter.h File Reference
`#include <gnuradio/filter/api.h>`
`#include <gnuradio/sync_decimator.h>`
Include dependency graph for freq_xlating_fir_filter.h:

Go to the source code of this file.

## Classes

class | gr::filter::freq_xlating_fir_filter< IN_T, OUT_T, TAP_T >
| FIR filter combined with frequency translation with IN_T input, OUT_T output and TAP_T taps. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::filter

## Typedefs

typedef freq_xlating_fir_filter< gr_complex, gr_complex, gr_complex > | gr::filter::freq_xlating_fir_filter_ccc
typedef freq_xlating_fir_filter< gr_complex, gr_complex, float > | gr::filter::freq_xlating_fir_filter_ccf
typedef freq_xlating_fir_filter< float, gr_complex, gr_complex > | gr::filter::freq_xlating_fir_filter_fcc
typedef freq_xlating_fir_filter< float, gr_complex, float > | gr::filter::freq_xlating_fir_filter_fcf
typedef freq_xlating_fir_filter< std::int16_t, gr_complex, float > | gr::filter::freq_xlating_fir_filter_scf
typedef freq_xlating_fir_filter< std::int16_t, gr_complex, gr_complex > | gr::filter::freq_xlating_fir_filter_scc